﻿using _123.Data.ReportsHistory;
using _123.Data.Repository;
using _123.Domain.UseCase;
using _123.UI;
using Microsoft.Extensions.DependencyInjection;
using System.Text.RegularExpressions;

IServiceCollection services = new ServiceCollection();
services 
    .AddSingleton<IGroupRepository, GroupRepositoryImpl>()
    .AddSingleton<UserUseCase>();
var serviceProvider = services.BuildServiceProvider ();

GroupRepositoryImpl groupRepositoryImpl = new GroupRepositoryImpl();
UserRepositoryImpl userRepositoryImpl = new UserRepositoryImpl();
UserUseCase userUseCase = new UserUseCase(userRepositoryImpl, groupRepositoryImpl);
GroupUseCase groupUseCase = new GroupUseCase(groupRepositoryImpl);

MainMenuUI mainMenuUI = new MainMenuUI(userUseCase, groupUseCase);